Index: extensions/rv_menutree/trunk/changelog.txt
===================================================================
--- extensions/rv_menutree/trunk/changelog.txt	(revision 7939)
+++ extensions/rv_menutree/trunk/changelog.txt	(revision 7956)
@@ -1,2 +1,6 @@
+2.1.c
+	- javascript async stuff
+	- lv_lv language description
+
 2.1.b
 	- themes can define their own rv_menutree_categories.tpl
Index: extensions/rv_menutree/trunk/js/rvtree-min.js
===================================================================
--- extensions/rv_menutree/trunk/js/rvtree-min.js	(revision 7939)
+++ 	(revision )
@@ -1,4 +1,0 @@
-var XElement={hasClass:function(b,e){if(!b)return false;var f=b.className;return f.length>0&&(f==e||(new RegExp("(^|\\s)"+e+"(\\s|$)")).test(f))},addClass:function(b,e){if(b){XElement.hasClass(b,e)||(b.className+=(b.className?" ":"")+e);return b}},toggleClasses:function(b,e,f){if(b){for(var a=b.className.split(/\s+/),g=-1,c=-1,d=0;d<a.length;d++){if(a[d]==e)g=d;if(a[d]==f)c=d}if(g>=0){a.splice(g,1);c>=g&&c--}else a.push(e);c>=0?a.splice(c,1):a.push(f);b.className=a.join(" ");return b}}},RVTree={options:{nodeClosedClass:"liClosed",
-nodeOpenClass:"liOpen",nodeBulletClass:"liBullet",nodeLinkClass:"bullet"},convertTree:function(b){if(document.createElement){if(window.attachEvent&&!window.opera)if(/MSIE ([0-9]{1,}[.0-9]{0,})/.exec(navigator.userAgent)!=null)RVTree.options.IEVersion=parseFloat(RegExp.$1);RVTree._processList(b,true)}},_processList:function(b,e){if(!(!b.childNodes||b.childNodes.length==0)){for(var f=0;f<b.childNodes.length;f++){var a=b.childNodes[f];if(a.nodeName=="LI"){for(var g=false,c=0;c<a.childNodes.length;c++){var d=
-a.childNodes[c];if(d.nodeName=="UL"){g=true;RVTree._processList(d,false)}}c=document.createElement("SPAN");d="\u00a0";c.className=RVTree.options.nodeLinkClass;if(g){XElement.hasClass(a,RVTree.options.nodeOpenClass)||XElement.addClass(a,RVTree.options.nodeClosedClass);if(a.firstChild.nodeName=="#text"){d+=a.firstChild.nodeValue;a.removeChild(a.firstChild)}c.onclick=function(){XElement.toggleClasses(this.parentNode,RVTree.options.nodeOpenClass,RVTree.options.nodeClosedClass);return false}}else if(XElement.hasClass(a,
-RVTree.options.nodeClosedClass))c.onclick=function(){var h=this.parentNode.getElementsByTagName("A");if(h.length)document.location=h[0].href};else XElement.addClass(a,RVTree.options.nodeBulletClass);a.style.listStyleType="none";if(e&&RVTree.options.IEVersion&&RVTree.options.IEVersion<8)a.style.marginLeft="-16px";if(c){c.appendChild(document.createTextNode(d));a.insertBefore(c,a.firstChild)}}}b.style.marginLeft=0;b.style.paddingLeft=e?0:"8px"}}};typeof rvTreeAutoConvert!="undefined"&&RVTree.convertTree(rvTreeAutoConvert);
Index: extensions/rv_menutree/trunk/js/rvtree.js
===================================================================
--- extensions/rv_menutree/trunk/js/rvtree.js	(revision 7939)
+++ extensions/rv_menutree/trunk/js/rvtree.js	(revision 7956)
@@ -136,8 +136,16 @@
 		ul.style.paddingLeft = isRoot ? 0 : "8px";
 	}
-}
+};
 
-if ( typeof rvTreeAutoConvert != 'undefined')
-{
-	RVTree.convertTree( rvTreeAutoConvert );
-}
+(function() {
+	if (typeof _rvTreeAutoQueue != "undefined" && _rvTreeAutoQueue.length)
+	{
+			for (var i=0; i<_rvTreeAutoQueue.length; i++)
+					RVTree.convertTree(_rvTreeAutoQueue[i]);
+	}
+	_rvTreeAutoQueue = {
+		push: function(elt) {
+			RVTree.convertTree(elt);
+		}
+	}
+})();
Index: extensions/rv_menutree/trunk/js/rvtree.min.js
===================================================================
--- extensions/rv_menutree/trunk/js/rvtree.min.js	(revision 7956)
+++ extensions/rv_menutree/trunk/js/rvtree.min.js	(revision 7956)
@@ -0,0 +1,5 @@
+var XElement={hasClass:function(a,d){if(!a)return false;var f=a.className;return f.length>0&&(f==d||RegExp("(^|\\s)"+d+"(\\s|$)").test(f))},addClass:function(a,d){if(a){XElement.hasClass(a,d)||(a.className+=(a.className?" ":"")+d);return a}},toggleClasses:function(a,d,f){if(a){for(var b=a.className.split(/\s+/),g=-1,c=-1,e=0;e<b.length;e++){if(b[e]==d)g=e;if(b[e]==f)c=e}if(g>=0){b.splice(g,1);c>=g&&c--}else b.push(d);c>=0?b.splice(c,1):b.push(f);a.className=b.join(" ");return a}}},RVTree={options:{nodeClosedClass:"liClosed",
+nodeOpenClass:"liOpen",nodeBulletClass:"liBullet",nodeLinkClass:"bullet"},convertTree:function(a){if(document.createElement){if(window.attachEvent&&!window.opera)if(/MSIE ([0-9]{1,}[.0-9]{0,})/.exec(navigator.userAgent)!=null)RVTree.options.IEVersion=parseFloat(RegExp.$1);RVTree._processList(a,true)}},_processList:function(a,d){if(!(!a.childNodes||a.childNodes.length==0)){for(var f=0;f<a.childNodes.length;f++){var b=a.childNodes[f];if(b.nodeName=="LI"){for(var g=false,c=0;c<b.childNodes.length;c++){var e=
+b.childNodes[c];if(e.nodeName=="UL"){g=true;RVTree._processList(e,false)}}c=document.createElement("SPAN");e="\u00a0";c.className=RVTree.options.nodeLinkClass;if(g){XElement.hasClass(b,RVTree.options.nodeOpenClass)||XElement.addClass(b,RVTree.options.nodeClosedClass);if(b.firstChild.nodeName=="#text"){e+=b.firstChild.nodeValue;b.removeChild(b.firstChild)}c.onclick=function(){XElement.toggleClasses(this.parentNode,RVTree.options.nodeOpenClass,RVTree.options.nodeClosedClass);return false}}else if(XElement.hasClass(b,
+RVTree.options.nodeClosedClass))c.onclick=function(){var h=this.parentNode.getElementsByTagName("A");if(h.length)document.location=h[0].href};else XElement.addClass(b,RVTree.options.nodeBulletClass);b.style.listStyleType="none";if(d&&RVTree.options.IEVersion&&RVTree.options.IEVersion<8)b.style.marginLeft="-16px";if(c){c.appendChild(document.createTextNode(e));b.insertBefore(c,b.firstChild)}}}a.style.marginLeft=0;a.style.paddingLeft=d?0:"8px"}}};
+(function(){if(typeof _rvTreeAutoQueue!="undefined"&&_rvTreeAutoQueue.length)for(var a=0;a<_rvTreeAutoQueue.length;a++)RVTree.convertTree(_rvTreeAutoQueue[a]);_rvTreeAutoQueue={push:function(d){RVTree.convertTree(d)}}})();
Index: extensions/rv_menutree/trunk/template/rv_menutree_categories.tpl
===================================================================
--- extensions/rv_menutree/trunk/template/rv_menutree_categories.tpl	(revision 7939)
+++ extensions/rv_menutree/trunk/template/rv_menutree_categories.tpl	(revision 7956)
@@ -54,7 +54,8 @@
 {'</li></ul>'|@str_repeat:$ref_level}
 <script type="text/javascript">
-	rvTreeAutoConvert = document.getElementById("theCategoryMenu");
+	var _rvTreeAutoQueue = _rvTreeAutoQueue || [];
+	_rvTreeAutoQueue.push(  document.getElementById("theCategoryMenu") );
 	(function () {ldelim}
-	var s = document.createElement('script'); s.type = 'text/javascript'; s.async = true; s.src = '{$ROOT_URL}plugins/{$RVMT_BASE_NAME}/js/rvtree-min.js';
+	var s = document.createElement('script'); s.type = 'text/javascript'; s.async = true; s.src = '{$ROOT_URL}plugins/{$RVMT_BASE_NAME}/js/rvtree.min.js';
 	var s0 = document.getElementsByTagName('script')[0]; s0.parentNode.insertBefore(s, s0);
 	})();