Index: /extensions/whois_online/language/lv_LV/description.txt
===================================================================
--- /extensions/whois_online/language/lv_LV/description.txt	(revision 7959)
+++ /extensions/whois_online/language/lv_LV/description.txt	(revision 7959)
@@ -0,0 +1,1 @@
+Whois Online (kas onlainā) ir monitoringa rīks, kas reālā laika režīmā rāda attēla/indeksa aktivitāti (ārpus vēstures aktivēšanas un konfigurācijas izvēles iespējām).
Index: /extensions/whois_online/language/lv_LV/index.php
===================================================================
--- /extensions/whois_online/language/lv_LV/index.php	(revision 7959)
+++ /extensions/whois_online/language/lv_LV/index.php	(revision 7959)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/lv_LV/plugin.lang.php	(revision 7959)
+++ /extensions/whois_online/language/lv_LV/plugin.lang.php	(revision 7959)
@@ -0,0 +1,103 @@
+<?php
+$lang['Monitor'] = 'Monitoret';
+$lang['Active capture'] = 'Sagrabšana (capture) aktiva';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 'Delete level [10-200] (attieciba starp pamesto (neaktivo) un aktivo)';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 'Pamesta limits [20-100] (pamesto datu skaits)';
+$lang['Add link to Plugins menu'] = 'Pievienot saiti Spraudnu izvelnei';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 'Paturet datus pat ja spraudnis ir neaktivs vai atinstalets';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] =      'Pieredzejušiem lietotajiem: Advanced users: paraugi pieejami visos gadijumos un var tikt ietverti jusu paplašinajumos';
+$lang['Default display'] = 'Skats pec noklusejuma';
+$lang['Total hits:'] = 'Skatijumi pavisam:';
+
+$lang['Your recently viewed pictures'] = 'Jusu nesen skatitie atteli';
+$lang['Most recent 10 minutes hits:'] = 'Svaigakie 10 minišu laika veiktie skatijumi:';
+$lang['Some of recently viewed pictures by other users'] = 'Daži nesen skatitie atteli, ko veikuši citi lietotaji';
+$lang['Current hour hits:'] = 'Tekošaja stunda izdaritie skatijumi:';
+$lang['Yesterday hits:'] = 'Vakardien izdaritie skatijumi:';
+$lang['Last 24h users:'] = 'Apmekletaji pedejo 24 stundu laika:';
+$lang['Last hour online users:'] = 'Apmekletaji tekošaja stunda:';
+$lang['Recent guest(s):'] = 'Tekošais(ie) viesi(is):';
+$lang['Recent member(s):'] = ' Tekošais(ie) biedris(i):';
+$lang['Permanence/Durability of user monitoring'] = 'lietotaja monitorinda Pastaviba/Noturiba';
+
+$lang['Whois_review'] = 'Nesen Jusu paša skatitais';
+$lang['Whois_others'] = 'Nesen citu skatitais'; /* vai jusu pašu loti sen */
+$lang['Add icon to History'] = 'Pievieno ikonu Vesturei';
+
+// Added 2.0.e
+$lang['Radar limit'] = 'Radara limits';
+$lang['Users with image cluetips [10-200]'] = 'Lietotaji ar attelu atslegtipiem [10-200]';
+$lang['Default %s'] = 'Pec noklusejuma %s';
+$lang['Default as anybody'] = 'Pec noklusejuma ka jebkurš';
+$lang['Webmasters management:'] = 'Webmastera parvaldiba:';
+$lang['Exclude'] = 'Izslegt';
+$lang['Hidden'] = 'Paslepts';
+$lang['As anybody'] = 'Ka jebkurš';
+$lang['Administrators management:'] = 'Administratora parvaldiba:';
+$lang['Your `%s` table summary'] = 'Jusu `%s` tabulas kopsavilkums';
+$lang['Compress it!'] = 'Saspiest to!';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = ' => Dzest vecus viesu apmeklejumus (vecaki par 3 dienam), tabulas un indeksa optimizacija.';
+$lang['Space used: %s'] = 'Izmantota diska telpa: %s';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Neizmantota piesaistita diska telpa: <strong>%s</strong>';
+$lang['Traced sessions: %s'] = 'Izsekotas sesijas: %s';
+$lang['Altered/created since: %s'] = 'Izmainits/izveidots kopš: %s';
+$lang['Clearing'] = 'Tirišana';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 'Notirit pagaidu lietptajus (minimala aizture ir 6 minutes). Lai notiritu pastavigos lietotajus, vispirms parvietojiet tos pareizaja saraksta virspuse.';
+$lang['Delete'] = 'Dzest';
+$lang['Members summary'] = 'Biedru kopsavilkums';
+$lang['Registration counter: %s'] = 'Registracijas skaititajs: %s';
+$lang['Most members ever online was %s on %s'] = 'Lielaka dala dalibnieku, kas jebkad bijuši onlaina bija %s uz %s';
+$lang['Y-m-d H:i'] = 'F dS, Y g:i A';
+$lang['Available filters'] = 'Pieejamie filtri';
+$lang['Monitored members'] = 'Monitoretie dalibnieki';
+$lang['Captured guests'] = 'Saistitie (Captured) viesi';
+$lang['Last 24h accesses'] = 'Piekluve 24 st laika';
+$lang['More than 24h accesses'] = 'Piekluve ilgak par 24 st';
+$lang['Pictures accesses'] = 'Attelu piekluves';
+$lang['No picture accesses'] = 'Nav attelu piekluves';
+$lang['Unidentifed countries'] = 'Neidentificetas valstis';
+$lang['Only one day accesses'] = 'Tikai vienas dienas piekluves';
+$lang['Several days accesses or over midnight'] = 'Dažu dienu piekluves vai pec pusdienas';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Dažas identificetas IPs (Tikai pirma tiek patureta)';
+$lang['User access details'] = 'Lietotaja piekluves detalas';
+$lang['No data available'] = 'Dati nav pieejami';
+$lang['users'] = 'Lietotaji';
+$lang['First access'] = 'Pirma piekluve';
+$lang['Level'] = 'Limenis';
+$lang['Images (Modify)'] = 'Atteli (Modificet)';
+$lang['Last access'] = 'Pedeja piekluve';
+$lang['User:'] = 'Lietotajs:';
+$lang['(Multiple IP)'] = '(Vairakas IP)';
+$lang['Registered since'] = 'Registrets kopš';
+$lang['Hits since'] = 'Skatijumi kopš';
+$lang['on pictures'] = 'attelu';
+$lang['on pages'] = 'lapu';
+$lang['Level %d'] = 'Limenis %d';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] =      'Attelu privatuma limenis ir augstaks ka lietotajam (Vai izmainit kadu no tiem?)';
+$lang[' - Over the radar limit => No level control'] = ' – Virs radara limita => Nav limena kontroles';
+$lang['Previous connection dates'] = 'Iepriekšejo konekciju datumi';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = ': nodrošina jaunpienaceju lokalizaciju un, pateicoties tiem, iespejams jaunu valstu karogus.';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] = ': nodrošina IP geolokalizaciju pec pieprasijuma (saite uz karoga). Noderigi nezinamu valstu gadijuma.';
+$lang['Report'] = 'Radara Zinojums';
+$lang['Error range: '] = 'Kludas diapazons: ';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 'Radar_limit [10-200] (Lietotaji ar attelu atslegtipiem radarlapa)';
+$lang['User follow up error'] = 'Lietotaja izsekošana kludai';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Jus esat Konsultants un jums nav tiesibu mainit konfiguraciju.';
+$lang['Configuration has been saved.'] = 'Konfiguracija ir saglabata.';
+$lang['Permanent users (3 months min)'] = 'Pastavigie lietotaji (min. 3 meneši)';
+$lang['Temporary users (around 72 hours)'] = 'Pagaidu lietotaji ( ap 72 st.)';
+$lang['Unknown country'] = 'Nezinama valsts';
+$lang['Deleted language'] = 'Dzest valodu';
+$lang['Recents (less 24h)'] = 'Nesenie (mazak par 24st.)';
+$lang['More than 24h'] = 'Vairak par 24st.';
+$lang['On pictures'] = 'Uz atteliem';
+$lang['Categories only'] = 'Tikai kategorijas';
+$lang['No country'] = 'Bez valsts';
+$lang['One day'] = 'Viena diena';
+$lang['Several days'] = 'Dažas dienas';
+$lang['Several IPs'] = 'Dažas IPs';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/en/?IP=';
+$lang[':geoiptool:title']= 'Manas IP adreses skatijums un GeoTargeting (geomerkis) informacija';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang[':hostip:title'] = 'Manas IP adreses skatijums un GeoTargeting (geomerkis) Kopienas Geotarget IP Projekts – kura valsti, pilseta IP adrese ir uz kartes';
+?>