Index: /extensions/albums/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/albums/language/tr_TR/plugin.lang.php	(revision 7966)
+++ /extensions/albums/language/tr_TR/plugin.lang.php	(revision 7966)
@@ -0,0 +1,91 @@
+<?php
+$lang['%d category including'] = '%d albüm dahil';
+$lang['%d categories including'] = '%d albümler dahil';
+$lang['%d category moved'] = '%d albüm taşındı';
+$lang['%d categories moved'] = '%d albümler taşındı';
+$lang['Apply to subcategories'] = 'bu altalbümlere uygula';
+$lang['Association to categories'] = ' bu albümlere ilişkilendir';
+$lang['Categories authorized thanks to group associations'] = 'Albümler grup sayesinde yetkili';
+$lang['Categories manual order was saved'] = 'Albümlerin sıralaması kayıt edildi';
+$lang['Category elements associated to the following categories: %s'] = 'Albüm fotoğrafları aşağıdaki albümlere ilişkili: %s';
+$lang['Link all category elements to a new category'] = 'Bütün albüm resimlerini yeni albümü bağla';
+$lang['Link all category elements to some existing categories'] = 'Bütün albüm resimlerini olan albümlere bağla';
+$lang['Linked categories'] = 'bağlanan albümler';
+$lang['Manage permissions for a category'] = 'albüm yetkilerini düzenle';
+$lang['Move categories'] = 'albümleri taşı';
+$lang['New parent category'] = 'yeni ana albüm';
+$lang['Only private categories are listed'] = 'sadecee özel albümler listelendi';
+$lang['Other private categories'] = 'diğer özel albümler';
+$lang['Parent category'] = 'Ana albüm';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Permalink %s albüm tarafından kullanıldı %s. Önce onu permalik geçmişinden siliniz';
+$lang['Permalink %s is already used by category %s'] = 'Permalink %s albüm tarafından kullanıldı%s';
+$lang['Representation of categories'] = 'Albüm gösterimi';
+$lang['Select at least one category'] = 'en az bir albüm seçiniz';
+$lang['Storage category'] = 'Depola albümü';
+$lang['Virtual categories movement'] = 'Sanal albümler hareket';
+$lang['Virtual categories to move'] = 'Taşınacak sanal albümler';
+$lang['Virtual category name'] = 'Sanal albüm ismi';
+$lang['You cannot move a category in its own sub category'] = 'Bir albümü kendi alt bölümü içindeki albüme taşıyamazsınız';
+$lang['associate to category'] = 'bağla albüme';
+$lang['Add a virtual category'] = 'sanal albüm ekle';
+$lang['Authorize users to add comments on selected categories'] = 'Kullanıcıları seçilen albümler için yorum yapmaya yetkilendir';
+$lang['The name of a category should not be empty'] = 'Albüm ismi boş olamaz';
+$lang['Lock categories'] = 'albümlerikilitle';
+$lang['Private category'] = 'Özel albüm';
+$lang['Public category'] = 'Genel albüm';
+$lang['Manage authorizations for selected categories'] = 'Seçilen albümler için yetkileri yönetimi';
+$lang['Select uploadable categories'] = 'yüklenebilir albümleri seç';
+$lang['Virtual category added'] = 'sanal albüm eklendi';
+$lang['Virtual category deleted'] = 'sanal albüm silindi';
+$lang['Category'] = 'Albüm';
+$lang['delete category'] = 'albümüsil';
+$lang['dissociate from category'] = 'albümden ayır';
+$lang['edit category permissions'] = 'albüm yetkilerini düzenle';
+$lang['Category informations updated successfully.'] = 'Albüm bilgileri güncellendi.';
+$lang['jump to category'] = 'albüme geç';
+$lang['manage category elements'] = 'albüm resimlerini yönet';
+$lang['manage sub-categories'] = 'yönet alt-albümler';
+$lang['sub-categories'] = 'alt-albümler';
+$lang['Categories management'] = 'Albümler yönetimi';
+$lang['Edit a category'] = 'albüm düzenle';
+$lang['Update categories informations'] = 'albümlerin bilgilerini güncelle';
+$lang['reduce to single existing categories'] = 'mevcut albümleri küçült';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'Ekran en fazla bilgisi (eklenen albümler resimler, silinen albümler resimler)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'bir resim için thumbnail gerekiyor.Bu thumbnail alt dizin \'thumbnail\'de olmalı. Thumbnail ve yapılandırılmış thumbnail öneki ile başlamalıdır dosya uzantısı aşağıdaki liste arasında olmalıdır :';
+$lang['categories deleted in the database'] = 'veri tabanından silinen albümler';
+$lang['categories added in the database'] = 'veri tabanına eklenen albümler';
+$lang['Virtual category'] = 'Sanal albüm';
+$lang['Files with same name in more than one physical category'] = 'birden fazla fiziksel albüm içinde aynı dosya isimleri';
+$lang['[%s] Come to visit the category %s'] = '[%s] albümü gez%s';
+$lang['Come to discover the category:'] = 'Albümü tanı:';
+$lang['edit category informations'] = 'albüm bilgisini düzenle';
+$lang['No element in this category'] = 'albümde eleman yok';
+$lang['Drop into category'] = 'albüm içine bırak';
+$lang['existing category'] = 'olan albüm';
+$lang['create a new category'] = 'albüm albüm aç';
+$lang['Category name'] = 'Albüm ismi';
+$lang['Category \'%s\' has been added'] = 'Albüm \'%s\' eklendi';
+$lang['Category \'%s\' now contains %d photos'] = 'Albüm \'%s\' şidmi %d resimleri içeriyor';
+$lang['Categories ordered alphanumerically'] = 'Albümler alfabetik sıralamada';
+$lang['Categories ordered alphanumerically reverse'] = 'Albümler ters alfabetik sıralamada';
+$lang['%d category updated'] = '%d albüm güncellendi';
+$lang['%d categories updated'] = '%d albümler güncellendi';
+$lang['Categories'] = 'Albümler';
+$lang['Category'] = 'Albüm';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Bu RSS beslemesi bu siteden yeni resimler, güncellenen albümler, yeni yorumlar içerir. Bir RSS okuyucu ile kullanılabilir';
+$lang['Expand all categories'] = 'albümleriaç';
+$lang['shows images at the root of this category'] = 'bu albüm kökündeki resimleri gösterir';
+$lang['in this category'] = ' bu albüm içinde';
+$lang['in %d sub-category'] = 'bu %d alt-albümiçinde';
+$lang['in %d sub-categories'] = 'bu %d alt-albümler içinde';
+$lang['display all elements in all sub-categories'] = 'albümlere ve alt albümlere ait bütün elemanları göster';
+$lang['Recent categories'] = 'son albümler';
+$lang['display recently updated categories'] = 'son güncellenen albümleri göster';
+$lang['Search in Categories'] = 'Albümlerde ara';
+$lang['Search in subcategories'] = 'Altalbümlerde Ara';
+$lang['set as category representative'] = 'albüm temsilcisi oalrak ayarla';
+$lang['Category: %s'] = 'Albüm: %s';
+$lang['Category results for'] = 'Albüm sonuçları';
+$lang['All sub-categories of private categories become private'] = 'Özel albümlerin alt albümleri de özel olur';
+
+?>