Index: /extensions/AddInfo/admin/admin.php
===================================================================
--- /extensions/AddInfo/admin/admin.php	(revision 7968)
+++ /extensions/AddInfo/admin/admin.php	(revision 7969)
@@ -24,5 +24,5 @@
                $my_base_url.'&amp;tab=addinfo');
 $tabsheet->add('explication',
-               l10n('explication'),
+               l10n('addinfo_explication'),
                $my_base_url.'&amp;tab=explication');
 $tabsheet->select($page['tab']);
Index: /extensions/AddInfo/language/de_DE/description.txt
===================================================================
--- /extensions/AddInfo/language/de_DE/description.txt	(revision 7969)
+++ /extensions/AddInfo/language/de_DE/description.txt	(revision 7969)
@@ -0,0 +1,1 @@
+Fügt 3 Informationen für die Bildbeschreibung hinzu.
Index: /extensions/AddInfo/language/de_DE/index.php
===================================================================
--- /extensions/AddInfo/language/de_DE/index.php	(revision 7969)
+++ /extensions/AddInfo/language/de_DE/index.php	(revision 7969)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfo/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/de_DE/plugin.lang.php	(revision 7969)
+++ /extensions/AddInfo/language/de_DE/plugin.lang.php	(revision 7969)
@@ -0,0 +1,29 @@
+<?php
+//ADMIN
+$lang['addinfo_h2'] = 'Verwaltung der zusätzlichen Informationen auf der Bilderseite';
+
+//onglet addinfo
+$lang['addinfo_ajout'] = 'Fügt Informationen aller Bilder';
+$lang['addinfo_selecti3'] = 'Das Bild auswählen';
+$lang['addinfo_img'] = 'Einige Informationen zu den Bildern hinzufügen';
+$lang['addinfo_selectimg'] = 'Das Bild auswählen';
+$lang['addinfo_listimg'] = 'Bilderliste';
+$lang['addinfo_choiximg'] = 'Die zusätzlichen Bilderinformationen bearbeiten';
+$lang['addinfo_insing'] = 'Die Werte in der Datenbank hinzufügen';
+
+//onglet explication
+$lang['addinfo_explication'] = 'Darstellung';
+$lang['addinfo_explication_help'] = 'Dieses Plug-in ist ein Beispiel um Informationen zu den Bildern hinzuzufügen. Um es zu benutzen, muss man das Plug-in bearbeiten';
+$lang['addinfo_explication_update non'] = 'Austausch von INFO1, INFO2,INFO3';
+$lang['addinfo_explication_update non_help'] = 'Um dies zu tun, muss man in der Sprachdatei folgendes hinzufügen :<br>
+$lang[\'addinfo_info1\'] = \'Gewünschter Name für INFO1\'; <br>
+$lang[\'addinfo_info2\'] = \'Gewünschter Name für INFO2\'; <br>
+$lang[\'addinfo_info3\'] = \'Gewünschter Name für INFO3\'; <br>
+';
+
+//onglet addinfo et admin info
+$lang['addinfo_info1'] = 'INFO1';
+$lang['addinfo_info2'] = 'INFO2';
+$lang['addinfo_info3'] = 'INFO3';
+
+?>