Index: /extensions/gvideo/language/tr_TR/description.txt
===================================================================
--- /extensions/gvideo/language/tr_TR/description.txt	(revision 7976)
+++ /extensions/gvideo/language/tr_TR/description.txt	(revision 7976)
@@ -0,0 +1,1 @@
+Google Video, Dailymotion, Youtube, Wideo, Vimeo or Wat videoları eklemek.
Index: /extensions/gvideo/language/tr_TR/index.php
===================================================================
--- /extensions/gvideo/language/tr_TR/index.php	(revision 7976)
+++ /extensions/gvideo/language/tr_TR/index.php	(revision 7976)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gvideo/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/tr_TR/plugin.lang.php	(revision 7976)
+++ /extensions/gvideo/language/tr_TR/plugin.lang.php	(revision 7976)
@@ -0,0 +1,46 @@
+<?php
+
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_conf'] = 'Yapılandırma';
+$lang['py_addvideo'] = 'video ekle';
+$lang['py_filename'] = 'dosya adı';
+$lang['py_url'] = 'video urlsi';
+$lang['py_parent'] = 'Ana kategori';
+$lang['py_thumb'] = 'Thumbnail';
+$lang['py_no_thumb'] = 'Thumnaili geç';
+$lang['py_thumb_from_server'] = 'Thumbnaili sunucudan al';
+$lang['py_thumb_from_user'] = 'kendi thumbnailini yükle:';
+$lang['py_add_band'] = 'thumbnail yanlarına bantları ekle';
+$lang['py_thumb_resize'] = 'thumbnaili yeniden boyutlandır';
+$lang['py_width'] = 'Genişlik';
+$lang['py_height'] = 'Yükseklik';
+$lang['py_start'] = 'video başlangıcı';
+$lang['py_*'] = 'Zorunlu alan';
+$lang['py_autostart'] = 'otomatik başla';
+$lang['py_quality'] = 'Kalite';
+$lang['py_playermode'] = 'Oynatıcı durumu';
+
+
+// Infobulles
+$lang['pybulle_reference'] = "Video linkini buraya yapıştırın.<br>GoogleVideo, YouTube, DailyMotion, Wideo, Vimeo yada Wat videoları kullanabilirsiniz. Örnekler:<br><br>- http://video.google.fr/videoplay?docid=4600755234172037942<br>- http://www.youtube.com/watch?v=eUvApC0bwUk<br>- http://www.dailymotion.com/video/x29fys_doorway<br>- http://www.wideo.fr/video/iLyROoaftYvl.html<br>- http://www.vimeo.com/1747316<br>- http://www.wat.tv/video/abcd.html";
+$lang['pybulle_start'] = "Video başlama saniyesini seçin..<br>Bu özellik sadece GoogleVideo içindir.";
+$lang['pybulle_categorie'] = "Bu dosyanın ekleneceği kategori: sadece gerçek kategoriler listelendi. Eğer bu dosyayı sanal bir kategoriye bağlayacaksanız daha sonra yapın.";
+$lang['pybulle_miniature'] = "Serverdan thumbnail yükleyebilirsiniz.Normal thumbnail boyutları 320x240 Google Video, 320x240 Dailymotion, 130x97 Youtube, 154x114 Wideo ve 200x150 Vimeo.<br><br> Yada kendi thumbnailinizi yüklersiniz.<br><br> Her iki durumda da thumbnail boyutunu değişebilirsiniz.";
+
+// Messages d'infos ou d'erreurs
+$lang['py_error1'] = 'Video dosyası eklenemedi.';
+$lang['py_error2'] = 'Kayıt edilemedi, gerekli yerler doldurulmadı.';
+$lang['py_error3'] = '* işaretli yerler doldurulmalıdır.';
+$lang['py_error5'] = 'yanlış URL!';
+$lang['py_error6'] = 'dosya "%s" zaten var.';
+$lang['py_error7'] = 'dosya "%s" yazılamaz';
+$lang['py_error8'] = '%s dosyasının doğru chmodları olup olmadığını kontrol ediniz.';
+$lang['py_error9'] = 'Thumbnail yüklenirken veya yeniden boyutlanırken hata.';
+$lang['py_error11'] = 'aynı isimde bir thumbnail var (%s)';
+$lang['py_error12'] = 'thumbnail alanları doldurulmadı: thumbnail yüklenmedi.';
+$lang['py_info2'] = 'thumbnail yüklendi';
+$lang['py_info3'] = 'Video yüklendi';
+$lang['py_info4'] = 'Ayarlar kayıt edildi.';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Video\'yu göster</a>.';
+
+?>