Index: /extensions/photoWidget/language/tr_TR/description.txt
===================================================================
--- /extensions/photoWidget/language/tr_TR/description.txt	(revision 7981)
+++ /extensions/photoWidget/language/tr_TR/description.txt	(revision 7981)
@@ -0,0 +1,1 @@
+resimler için harika 3D animasyon ekle
Index: /extensions/photoWidget/language/tr_TR/index.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/index.php	(revision 7981)
+++ /extensions/photoWidget/language/tr_TR/index.php	(revision 7981)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/photoWidget/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/plugin.lang.php	(revision 7981)
+++ /extensions/photoWidget/language/tr_TR/plugin.lang.php	(revision 7981)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA.                                                    |
+// +-----------------------------------------------------------------------+
+
+$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Bu eklenti resimlerinizi 3D flash film kullanarak görüntüler. Normal kategoriler gibi çalışır ama daha heyecan verici ve şaşırtıcıdır.';
+$lang['You can choose that mode for displaying one, severals or all categories'] = 'Bu modu bir, birkaç veya tüm kategoriler için seçebilirsiniz.';
+$lang['Main configuration'] = 'Ana ayarlar';
+$lang['All categories'] = 'Ana albümler';
+$lang['Applicable categorie(s)'] = 'Uygulanabilir albümler';
+$lang['Animation size'] = 'Animasyon boyutu';
+$lang['Animation background color'] = 'Animasyon arkaplan rengi';
+$lang['Color'] = 'Renk';
+$lang['You choose that mode for'] = 'Bu modu tercih için';
+$lang['one category'] = 'tek albüm';
+$lang['all categories'] = 'tüm albümler';
+$lang['severals categories'] = 'birkaç albüm';
+$lang['Width has been updated'] = 'Genişliği güncellendi';
+$lang['Height has been updated'] = 'Yükseklik güncellendi';
+$lang['Background color of animation has been updated'] = 'Animasyon arka plan rengi güncellendi';
+$lang['This widget requires Flash Player 9 or better'] = 'Bu widget Flash Player 9 veya daha iyisini gerektiriyor';
+?>